#
#  This file is part of SXML.  SXML automates the conversion of XML
#  data into Siena event notifications.  For more information, see:
#  http://www.cs.colorado.edu/serl/siena/
#
#  Copyright (C) 2000-2001 University of Colorado
#
#  Author: Antonio Carzaniga <carzanig@cs.colorado.edu>
#  See the file AUTHORS for full details. 
#  
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License (file LICENSE) for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program (see LICENSE); if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
#  USA, or send email to serl@cs.colorado.edu.
#
# $Id: test_import.sh,v 1.2 2001/01/24 17:33:44 carzanig Exp $
#
. ./config.sh
#
echo Testing siena.sxml.EventMap.importMap\(\)...
cat > test.input <<EOF
string	name="/person/@name" last;
string	items="/person/item/@name" separator ",";
int	age="/person/@age";
float	job/salary="/person/@salary" first ;
string	ciao.mamma="/person/item/@name" xml;
string	ciao\$papa="/person/item/@name" xml;
string	ciao\$mamma="/person/bla/@name" xml;
bool	employed="/person/employed";
bool	gino="/babba/employed";
EOF
$JAVA sxmltest.TestImport test.input > test.output
$JAVA sxmltest.TestImport test.output > test.output2
diff test.output test.output2 && echo "PASSED"

